Package logilab :: Package common :: Module vcgutils

[frames] | no frames]

# Module vcgutils

source code

    Functions to generate files readable with Georg Sander's vcg
    (Visualization of Compiler Graphs).

    You can download vcg at http://rw4.cs.uni-sb.de/~sander/html/gshome.html
    Note that vcg exists as a debian package.

    See vcg's documentation for explanation about the different values that
    maybe used for the functions parameters.

Classes
| VCGPrinter A vcg graph writer.

Functions

latin_to_vcg(st) Convert latin characters using vcg escape sequence. | source code

Variables
| ATTRS_VAL = `{'algos':('dfs', 'tree', 'minbackward', 'left_to_r`...``
| GRAPH_ATTRS = `{'title': 0, 'label': 0, 'color': ATTRS_VAL ['co`...``
| NODE_ATTRS = `{'title': 0, 'label': 0, 'color': ATTRS_VAL ['col`...``
| EDGE_ATTRS = `{'sourcename': 0, 'targetname': 0, 'label': 0, 'l`...``

Variables Details

### ATTRS_VAL

Value:

      {'algos':('dfs', 'tree', 'minbackward', 'left_to_right', 'right_to_lef
      t', 'top_to_bottom', 'bottom_to_top', 'maxdepth', 'maxdepthslow', 'min
      depth', 'mindepthslow', 'mindegree', 'minindegree', 'minoutdegree', 'm
      axdegree', 'maxindegree', 'maxoutdegree'), 'booleans':('yes', 'no'), '
      colors':('black', 'white', 'blue', 'red', 'green', 'yellow', 'magenta'
      , 'lightgrey', 'cyan', 'darkgrey', 'darkblue', 'darkred', 'darkgreen',
       'darkyellow', 'darkmagenta', 'darkcyan', 'gold', 'lightblue', 'lightr
      ed', 'lightgreen', 'lightyellow', 'lightmagenta', 'lightcyan', 'lilac'
      ...

### GRAPH_ATTRS

Value:

      {'title': 0, 'label': 0, 'color': ATTRS_VAL ['colors'], 'textcolor': A
      TTRS_VAL ['colors'], 'bordercolor': ATTRS_VAL ['colors'], 'width': 1,
      'height': 1, 'borderwidth': 1, 'textmode': ATTRS_VAL ['textmodes'], 's
      hape': ATTRS_VAL ['shapes'], 'shrink': 1, 'stretch': 1, 'orientation':
       ATTRS_VAL ['algos'], 'vertical_order': 1, 'horizontal_order': 1, 'xsp
      ace': 1, 'yspace': 1, 'layoutalgorithm': ATTRS_VAL ['algos'], 'late_ed
      ge_labels': ATTRS_VAL ['booleans'], 'display_edge_labels': ATTRS_VAL [
      'booleans'], 'dirty_edge_labels': ATTRS_VAL ['booleans'], 'finetuning'
      ...

### NODE_ATTRS

Value:

      {'title': 0, 'label': 0, 'color': ATTRS_VAL ['colors'], 'textcolor': A
      TTRS_VAL ['colors'], 'bordercolor': ATTRS_VAL ['colors'], 'width': 1,
      'height': 1, 'borderwidth': 1, 'textmode': ATTRS_VAL ['textmodes'], 's
      hape': ATTRS_VAL ['shapes'], 'shrink': 1, 'stretch': 1, 'vertical_orde
      r': 1, 'horizontal_order': 1,}

### EDGE_ATTRS

Value:

      {'sourcename': 0, 'targetname': 0, 'label': 0, 'linestyle': ATTRS_VAL
      ['linestyles'], 'class': 1, 'thickness': 0, 'color': ATTRS_VAL ['color
      s'], 'textcolor': ATTRS_VAL ['colors'], 'arrowcolor': ATTRS_VAL ['colo
      rs'], 'backarrowcolor': ATTRS_VAL ['colors'], 'arrowsize': 1, 'backarr
      owsize': 1, 'arrowstyle': ATTRS_VAL ['arrowstyles'], 'backarrowstyle':
       ATTRS_VAL ['arrowstyles'], 'textmode': ATTRS_VAL ['textmodes'], 'prio
      rity': 1, 'anchor': 1, 'horizontal_order': 1,}